For the complete documentation index, see llms.txt. This page is also available as Markdown.

Name

Perform various operations on name records.

Symitar eDocs References: Coming soon.

Operations

getNameSelectFields

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
NameLocatorintegerOptional
Responses
200

Successful operation.

application/json
post/getNameSelectFields
POST /nexum/627/persistent/account/getNameSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 330

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "NameLocator": 222,
  "SelectableFields": {
    "IncludeAllNameFields": false,
    "NameFields": {
      "Locator": true,
      "Type": true,
      "First": true,
      "Middle": true,
      "Last": true,
      "BirthDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Name": {
    "Locator": 222,
    "Type": 3,
    "First": "SETH",
    "Middle": "A",
    "Last": "ZAMORA",
    "BirthDate": null
  },
  "MessageId": "getNameSelectFields"
}

getNamePagedListSelectFields

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getNamePagedListSelectFields
POST /nexum/627/persistent/account/getNamePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 391

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 3,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllNameFields": false,
    "NameFields": {
      "Locator": true,
      "Type": true,
      "First": true,
      "Middle": true,
      "Last": true,
      "BirthDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Name": [
    {
      "Locator": 1,
      "Type": 0,
      "First": "JOHN",
      "Middle": "M",
      "Last": "DOE",
      "BirthDate": "1930-05-26"
    },
    {
      "Locator": 222,
      "Type": 3,
      "First": "SETH",
      "Middle": "A",
      "Last": "ZAMORA",
      "BirthDate": null
    }
  ],
  "Token": "{paging-token}",
  "MessageId": "getNamePagedListSelectFields"
}

searchNamePagedSelectFields

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchNamePagedSelectFields
POST /nexum/627/persistent/account/searchNamePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 413

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "Query": "LOCATOR=222",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllNameFields": false,
    "NameFields": {
      "Locator": true,
      "Type": true,
      "First": true,
      "Middle": true,
      "Last": true,
      "BirthDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Name": [
    {
      "Locator": 222,
      "Type": 3,
      "First": "SETH",
      "Middle": "A",
      "Last": "ZAMORA",
      "BirthDate": null
    }
  ],
  "Token": null,
  "MessageId": "searchNamePagedSelectFields"
}

updateNameByID

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
NameLocatorintegerOptional
Responses
200

Successful operation.

application/json
post/updateNameByID
POST /nexum/627/persistent/account/updateNameByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 258

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "NameLocator": 279,
  "NameFields": {
    "Type": 1,
    "First": "NEXUM",
    "Last": "WAVEFOURUPD",
    "NameFormat": 0
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": null,
    "Version_1": null,
    "_value_1": null
  },
  "MessageId": "updateNameByID"
}

createName

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
Responses
200

Successful operation.

application/json
NameLocatorintegerOptional
post/createName
POST /nexum/627/persistent/account/createName HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 237

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "NameFields": {
    "Type": 1,
    "First": "NEXUM",
    "Last": "WAVEFOUR",
    "NameFormat": 0
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "NameLocator": 279,
  "MessageId": "createName"
}

deleteName

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
NameLocatorintegerOptional
Responses
200

Successful operation.

application/json
nxAttributesobjectOptional

The custom object for NexumAPI response attributes.

post/deleteName
POST /nexum/627/persistent/account/deleteName HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 182

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "NameLocator": 279,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "MessageId": "deleteName"
}

Last updated

Was this helpful?